<template>
	<div class="info-fragment" :class="{active:active, change:change}" v-on:click="$emit('clicked')">
		<transition name="fade">
			<svg viewBox="0 0 32 32" version="1.1" xmlns="http://www.w3.org/2000/svg" v-if="!active">
				<path fill="none" stroke="#B3EDFF" d="M17,9 L15,5 L4.00276013,5 C2.89666625,5 2,5.88967395 2,6.991155 L2,25.008845 C2,26.1085295 2.89971268,27 3.99328744,27 L29.0067126,27 C30.1075748,27 31,26.1073772 31,25.0049107 L31,10.9950893 C31,9.8932319 30.1029399,9 28.9941413,9 L17,9 L17,9 Z M16.3599854,10 L14.4000244,6 L3.99173483,6 C3.44401481,6 3,6.45530558 3,6.99180311 L3,25.0081969 C3,25.5559546 3.44610862,26 3.99296544,26 L29.0070346,26 C29.5554342,26 30,25.5553691 30,24.9991283 L30,11.0008717 C30,10.4481055 29.5461723,10 28.9970172,10 L16.3599854,10 L16.3599854,10 Z" id="folder" ></path>
			</svg>
		</transition>

		<transition name="fade">
			<div v-if="active">
				<div class="line" v-for="(val, i) in info">
					<div v-if="val == '1'" v-html="getLocale('info_frag_'+set+'_'+index+'_'+i)"></div>
					<div v-else v-html='getLocale("info_frag_"+set+"_"+index+"_"+i).replace(/\S/g, "-")'></div>
				</div>
			</div>
			<div v-else class="label">{{label}}</div>
		</transition>
	</div>
</template>


<script>
	import { commonMixin } from '../mixins/common.js';
	
	export default {
		props: ['info', 'active', 'label', 'set', 'index', 'change'],
		mixins: [commonMixin],
		data: function () {
			return{
			
			}
		},
		computed: {
		
		},
		methods: {
		
		},
	}
</script>


<style lang="scss" scoped>
	@import "../styles/variables";

	.info-fragment{
		display: flex;
		flex-direction: column;
		justify-content: center;
		position: absolute;
		padding: 10px;
		color: $lightestazure;
		cursor: pointer;
		width: 80px;
		height: 80px;
		transition: all 0.7s;
		
		.line{
			padding-bottom: 10px;
			font-size: 1.5rem;
			
			&:last-child{
				padding-bottom: 0;
			}
		}
		
		.label{
			font-size: 1rem;
			margin-top: 10px;
			text-align: center;
		}
		
		&.active{
			display: block;
			left: 25% !important;
			top: 25% !important;
			transform: rotate(0) !important;
			width: 50%;
			height: 50%;
			z-index: 1;
			background-color: black;
			overflow-y: auto;
			scrollbar-width: thin;
			scrollbar-color: $lightestazure $black;
			cursor: default;
			
			&::-webkit-scrollbar {
				width: 8px;
			}
			&::-webkit-scrollbar-track {
				background-color: $black;
			}
			&::-webkit-scrollbar-thumb {
				background-color: $lightestazure;
			}
		}
		
		&.change{
			color: $red;
			
			svg path{
				stroke: $red;
			}
		}
		
	}
</style>